mr_bones_    15/03/27 22:06:56

  Modified:             ut2003-ded-2225-r2.ebuild ChangeLog
  Log:
  EAPI=5; update SRC_URI (bug #534338)
  
  (Portage version: 2.2.14/cvs/Linux x86_64, unsigned Manifest commit)

Revision  Changes    Path
1.13                 games-server/ut2003-ded/ut2003-ded-2225-r2.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-server/ut2003-ded/ut2003-ded-2225-r2.ebuild?rev=1.13&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-server/ut2003-ded/ut2003-ded-2225-r2.ebuild?rev=1.13&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-server/ut2003-ded/ut2003-ded-2225-r2.ebuild?r1=1.12&r2=1.13

Index: ut2003-ded-2225-r2.ebuild
===================================================================
RCS file: 
/var/cvsroot/gentoo-x86/games-server/ut2003-ded/ut2003-ded-2225-r2.ebuild,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- ut2003-ded-2225-r2.ebuild   7 Sep 2014 08:36:04 -0000       1.12
+++ ut2003-ded-2225-r2.ebuild   27 Mar 2015 22:06:56 -0000      1.13
@@ -1,16 +1,14 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/games-server/ut2003-ded/ut2003-ded-2225-r2.ebuild,v 
1.12 2014/09/07 08:36:04 ulm Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/games-server/ut2003-ded/ut2003-ded-2225-r2.ebuild,v 
1.13 2015/03/27 22:06:56 mr_bones_ Exp $
 
+EAPI=5
 inherit games
 
 DESCRIPTION="Unreal Tournament 2003 Linux Dedicated Server"
 HOMEPAGE="http://www.ut2003.com/";
-SRC_URI="http://games.gci.net/pub/UT2003/ut2003-lnxded-${PV}.tar.bz2
-       mirror://3dgamers/unrealtourn2/ut2003-lnxded-${PV}.tar.bz2
-       
http://downloads.unrealadmin.org/UT2003/Server/Linux/ut2003-lnxded-${PV}.tar.bz2
-       mirror://gentoo/UT2003CrashFix.zip
-       http://download.factoryunreal.com/mirror/UT2003CrashFix.zip";
+SRC_URI="http://ftp.games.skynet.be/pub/misc/ut2003-lnxded-${PV}.tar.bz2
+       mirror://gentoo/UT2003CrashFix.zip"
 
 LICENSE="ut2003"
 SLOT="0"
@@ -29,10 +27,8 @@
 QA_PREBUILT="${dir:1}/System/*"
 
 src_unpack() {
-       unpack ut2003-lnxded-${PV}.tar.bz2 \
-               || die "unpacking dedicated server files."
-       unzip "${DISTDIR}"/UT2003CrashFix.zip \
-               || die "unpacking crash-fix"
+       unpack ut2003-lnxded-${PV}.tar.bz2
+       unzip "${DISTDIR}"/UT2003CrashFix.zip || die
 }
 
 src_install() {
@@ -55,8 +51,9 @@
 EOT
 
        # Here we apply fix for bug #54726
-       dosed "s:UplinkToGamespy=True:UplinkToGamespy=False:" \
-               "${dir}"/System/Default.ini
+       sed -i \
+               -e "s:UplinkToGamespy=True:UplinkToGamespy=False:" \
+               "${D}${dir}"/System/Default.ini || die
 
        prepgamesdirs
 }



1.17                 games-server/ut2003-ded/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-server/ut2003-ded/ChangeLog?rev=1.17&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-server/ut2003-ded/ChangeLog?rev=1.17&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/games-server/ut2003-ded/ChangeLog?r1=1.16&r2=1.17

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-server/ut2003-ded/ChangeLog,v
retrieving revision 1.16
retrieving revision 1.17
diff -u -r1.16 -r1.17
--- ChangeLog   7 Sep 2014 08:36:04 -0000       1.16
+++ ChangeLog   27 Mar 2015 22:06:56 -0000      1.17
@@ -1,6 +1,10 @@
 # ChangeLog for games-server/ut2003-ded
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-server/ut2003-ded/ChangeLog,v 1.16 
2014/09/07 08:36:04 ulm Exp $
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-server/ut2003-ded/ChangeLog,v 1.17 
2015/03/27 22:06:56 mr_bones_ Exp $
+
+  27 Mar 2015; Michael Sterrett <[email protected]>
+  ut2003-ded-2225-r2.ebuild:
+  EAPI=5; update SRC_URI (bug #534338)
 
   07 Sep 2014; Ulrich Müller <[email protected]> ut2003-ded-2225-r2.ebuild:
   QA: Remove unnecessary dependency on emul-linux-x86-compat, bug 522134.




Reply via email to